Summary: PMU daemon for Linux/PPC on Powerbooks
Name: pmud
Version: 0.2
Release: 1a
Copyright: GPL
Source0: pmud-%{version}.tar.gz
Group: Utilities/System
BuildRoot: /tmp/pmud
Exclusivearch: ppc

%description
PMU daemon for Linux/PPC on Powerbooks by Paul Mackerras.
At present this supports the PB2400/3400/3500,
the 1999 G3 Powerbooks (aka "Lombard"), and probably
the previous generation of G3 Powerbooks (aka "Wallstreet").

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -c pmud $RPM_BUILD_ROOT/sbin
install -c pwrctl $RPM_BUILD_ROOT/sbin
install -c Batmon $RPM_BUILD_ROOT/usr/bin
install -c pmud.rc $RPM_BUILD_ROOT/etc/rc.d/init.d/pmud

%post
chkconfig --add pmud

%preun
chkconfig --del pmud


%clean
rm -rf $RPM_BUILD_ROOT

%files
/sbin/pmud
/sbin/pwrctl
/usr/bin/Batmon
/etc/rc.d/init.d/pmud

